using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace mseedChart.MainModule.Models
{
    public class StationModel
    {

        public  StationModel()
        {
            Dzne.Add("dz", dz);
            Dzne.Add("dn", dn);
            Dzne.Add("de", de);
        }
        public double E;

        public double N;

        public double Z;

        public double ELon;

        public double NLat;

        public int PointCount { get; set; }

        public int SamplingFrequency { get; set; }

        public DateTime BeginTime;

        public bool IsVisible = true;

        public Dictionary<string, List<double>> Dzne { get; } = new Dictionary<string, List<double>>();

        public List<double> dz { get; } = new List<double>();

        public List<double> dn { get; } = new List<double>();

        public List<double> de { get; } = new List<double>();


        public string Name { get; set; }

        public string FilePath { get; set; }

        public double Sens { get; set; }
    }
}
